****************************************************************************************
**** Replication Do-File for Sambanis and Schulhofer-Wohl (2009) Whats in a Line? ****
**** Is Partition a Solution to Civil War? International Security 34(2): 82-118.   ****
****************************************************************************************

* change to working directory
* use C:\Users\.....\Desktop\IS2009_replicdata.dta

describe 

** Table 2. "Strict" and "Lenient" Lists of War-Related Partitions in Civil Wars, 1945-2000 **

* Strict List (part)
l countryname conflict yrst yrend if part==1

* Lenient List Additions (+ part + part2)
l countryname conflict yrst yrend if part2==1 & part!=1

** Table 3. Partition, Short-Term War Recurrence, and Residual Violence in All Civil Wars, 1945-99 **

* Column 1
logit norecur2 part ewars1 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000, robust cluster(clust2) 

* Column 2
logit norecur2_v2 part ewars1 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000, robust cluster(clust2)

* Column 3
logit norecur2 part2 ewars1 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000, robust cluster(clust2)

* Column 4
logit norecur2_v2 part2 ewars1 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000, robust cluster(clust2)

* Column 5
logit warnov2_01 part ewars1 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000, robust cluster(clust2)

* Column 6
logit warnov2_01 part2 ewars1 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000, robust cluster(clust2)


** Table 4. Partition, Short-Term War Recurrence, and Residual Violence in Ethnic Civil Wars, 1945-99 **

* Column 1
logit norecur2 part logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000 & wartype2==1, robust cluster(clust2) 

* Column 2
logit norecur2_v2 part logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000 & wartype2==1, robust cluster(clust2)

* Column 3
logit norecur2 part2 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000 & wartype2==1, robust cluster(clust2)

* Column 4
logit norecur2_v2 part2 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000 & wartype2==1, robust cluster(clust2)

* Column 5
logit warnov2_01 part logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000 & wartype2==1, robust cluster(clust2)

* Column 6
logit warnov2_01 part2 logcost factnum anypko treaty isxp2 ef lnmaddpre_i imaddgro if yrend<2000 & wartype2==1, robust cluster(clust2)
